package com.mokabyte.mokabook.jmx;

/**
 * Classe base Hello che implementa l'oggetto managed via JMX.
 * Possiede una propriet accessibile tramite getXXX/setXXX ed un metodo di business sayHello() invocabile
 * da un client JMX
 *
 * La stampa di messaggi sulla console serve per seguire il comportamento della applicazione: sostituire con un
 * sistema di log come log4j o altro.

 */
public class Hello implements HelloMBean {
  String name="";

  public static void main(String[] args) {
    Hello helloImpl1 = new Hello();
  }
  public String getName() {
    return name;
  }
  public void setName(String name) {
    System.out.println("Impostazione della propriet name:"+name);
    this.name=name;
  }
  public void sayHello() {
    System.out.println("Hello "+name);
  }

}