package com.mokabyte.mokabook.jmx;

import javax.management.NotificationFilter;
import javax.management.Notification;

/**
 * Filtro di controllo sul tipo di evento da inoltrare: fa passere solo eventi di tipo
 * "com.mokabyte.community.user.remove"
 *
 * La stampa di messaggi sulla console serve per seguire il comportamento della applicazione: sostituire con un
 * sistema di log come log4j o altro.
 */

public class RemoveUserFilter implements NotificationFilter {

  public boolean isNotificationEnabled(Notification notification) {
    System.out.println("--- Enter isNotificationEnabled()");
    boolean ret = false;
    String EventType = notification.getType();
    System.out.println("    Ricevuto un evento di tipo "+EventType);
    if (EventType.equals("com.mokabyte.community.user.remove"))
      ret =  true;
    else
      ret = false;
      System.out.println("    L'evento notificato  abilitato: "+ret);
    System.out.println("--- Exit isNotificationEnabled()");
    return ret;
  }


}