package com.mokabyte.mokabook.jmx;

import java.util.Vector;

/**
 * Classe base che rappresenta un utente; contiene alcuni metodi base corrispondenti alle propriet dell'utente
 * pi alcuni metodi di business invocabili da remoto tramite il JMX Agent
 */

public class User implements UserMBean {

  private String ID= ""+System.currentTimeMillis();
  private String name="";
  private String address="";
  private String password=null;

  private Vector numbers= new Vector();


  public User() {
  }
  public static void main(String[] args) {
    User user1 = new User();
  }

  public void addPhoneNumber(String number){
    numbers.addElement(number);
  }

  public void removePhoneNumber(int i){
    if (i<numbers.size())
      numbers.removeElementAt(i);
  }

  public String printInfo(){
    return "ID: "+ ID +"\n name: "+name+"\naddress: "+ address+"\npassword: "+password+"\nPhoneNumbers: "+numbers;
  }

  public String getID() {
    return ID;
  }
  public String getName() {
    return this.name;
  }

  public void setName(String name) {
    this.name=name;
  }
  public String getAddress() {
    return this.address;
  }

  public void setAddress(String address) {
    this.address=address;
  }

  public Vector getPhoneNumbers() {
    return this.numbers;
  }

  public void setPhoneNumbers(Vector number) {
    this.numbers=numbers;
  }

  public String getPassword() {
    return this.password;
  }

  public void setPassword(String password) {
    this.password=password;
  }

}